using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace nadovezivanje
{
    class Program
    {
        static double Maxi(double[] b)
        {
           double  Maxi = b[0];
            for(int i = 1; i < 6; i++)
            {
                if (Maxi < b[i])
                {
                    Maxi = b[i];
                }
            }
            return Maxi;
        }
        static void Main(string[] args)
        {
            string a = Convert.ToString(Console.ReadLine());
            string[] a1 = a.Split(' ');
            double[] b = new double[6];
            b[0] = Convert.ToDouble(a1[0] + a1[1] + a1[2]);
            b[1] = Convert.ToDouble(a1[0] + a1[2] + a1[1]);
            b[2] = Convert.ToDouble(a1[1] + a1[0] + a1[2]);
            b[3] = Convert.ToDouble(a1[1] + a1[2] + a1[0]);
            b[4] = Convert.ToDouble(a1[2] + a1[0] + a1[1]);
            b[5] = Convert.ToDouble(a1[2] + a1[1] + a1[0]);
            double maksi = Maxi(b);
            Console.WriteLine("{0}", maksi);
            Console.ReadLine();
        }
    }
}